Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.fraction
Class ProperFractionFormat

    java.lang.Object
      java.text.Format
          org.apache.commons.math.fraction.FractionFormat
              org.apache.commons.math.fraction.ProperFractionFormat

All Implemented Interfaces:
  Cloneable, Serializable

public class ProperFractionFormat
extends FractionFormat

Formats a Fraction number in proper format. The number format for each of the whole number, numerator and, denominator can be configured.

Since:
  1.1
Version:
  $Revision: 348519 $ $Date: 2005-11-23 12:12:18 -0700 (Wed, 23 Nov 2005) $
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.text.Format
`Format.Field`

Constructor Summary
`ProperFractionFormat()` Create a proper formatting instance with the default number format for the whole, numerator, and denominator.
`ProperFractionFormat(NumberFormat format)` Create a proper formatting instance with a custom number format for the whole, numerator, and denominator.
`ProperFractionFormat(NumberFormat wholeFormat, NumberFormat numeratorFormat, NumberFormat denominatorFormat)` Create a proper formatting instance with a custom number format for each of the whole, numerator, and denominator.

Method Summary
`StringBuffer` | `format(Fraction fraction, StringBuffer toAppendTo, FieldPosition pos)` Formats a `Fraction` object to produce a string.
`NumberFormat` | `getWholeFormat()` Access the whole format.
`Fraction` | `parse(String source, ParsePosition pos)` Parses a string to produce a `Fraction` object.
`void` | `setWholeFormat(NumberFormat format)` Modify the whole format.

Methods inherited from class org.apache.commons.math.fraction.FractionFormat
`format, formatFraction, getAvailableLocales, getDefaultNumberFormat, getDenominatorFormat, getImproperInstance, getImproperInstance, getNumeratorFormat, getProperInstance, getProperInstance, parse, parseAndIgnoreWhitespace, parseNextCharacter, parseObject, setDenominatorFormat, setNumeratorFormat`

Methods inherited from class java.text.Format
`clone, format, formatToCharacterIterator, parseObject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProperFractionFormat

    public ProperFractionFormat()

  Create a proper formatting instance with the default number format for the whole, numerator, and denominator.

### ProperFractionFormat

    public ProperFractionFormat(NumberFormat format)

  Create a proper formatting instance with a custom number format for the whole, numerator, and denominator.

Parameters:
  `format` - the custom format for the whole, numerator, and denominator.

### ProperFractionFormat

    public ProperFractionFormat(NumberFormat wholeFormat,
                                NumberFormat numeratorFormat,
                                NumberFormat denominatorFormat)

  Create a proper formatting instance with a custom number format for each of the whole, numerator, and denominator.

Parameters:
  `wholeFormat` - the custom format for the whole.
  `numeratorFormat` - the custom format for the numerator.
  `denominatorFormat` - the custom format for the denominator.

Method Detail

### format

    public StringBuffer format(Fraction fraction,
                               StringBuffer toAppendTo,
                               FieldPosition pos)

  Formats a `Fraction` object to produce a string. The fraction is output in proper format.

  Overrides:
    `format` in class `FractionFormat`
  Parameters:
    `fraction` - the object to format.
    `toAppendTo` - where the text is to be appended
    `pos` - On input: an alignment field, if desired. On output: the offsets of the alignment field
  Returns:
    the value passed in as toAppendTo.

### getWholeFormat

    public NumberFormat getWholeFormat()

  Access the whole format.

  Returns:
    the whole format.

### parse

    public Fraction parse(String source,
                          ParsePosition pos)

  Parses a string to produce a `Fraction` object. This method expects the string to be formatted as a proper fraction.

  Overrides:
    `parse` in class `FractionFormat`
  Parameters:
    `source` - the string to parse
    `pos` - input/ouput parsing parameter.
  Returns:
    the parsed `Fraction` object.

### setWholeFormat

    public void setWholeFormat(NumberFormat format)

  Modify the whole format.

  Parameters:
    `format` - The new whole format value.
  Throws:
    `IllegalArgumentException` - if `format` is `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 The Apache Software Foundation. All Rights Reserved.